Subject: Announcing a curses based disk partitioning program... cfdisk
From: [email-masked] (Kevin Martin)
Date: Wed, 27 Apr 1994 16:30:34 GMT
Newsgroups: comp.os.linux.announce

Announcing the new curses based fdisk program... cfdisk

cfdisk is a curses based disk drive partitioning program that can
create partitions for a wide variety of operating systems including
Linux, MS-DOS and OS/2.  cfdisk was inspired by the fdisk program, by
A. V. Le Blanc ([email-masked]).  I hope that this program will be
useful to both new and old Linux users, and I hope it will make the
installation process easier.

**** WARNING **** This is still ALPHA software, and may contain bugs
(but hopefully not).  If you write a bad partition table to disk, it
may destroy data and partitions.

You can FTP cfdisk from ftp.cs.unc.edu in the /pub/martin/linux
directory.

It has been thoroughly tested on the hardware available to me.

Please test it out thoroughly on your hardware and send any bug
reports back to me.

I would also like comments (good and bad) on the user interface, logic
and ease of use.  If you have any suggestions for improvements, I
would be happy to hear them.

My e-mail address is [email-masked].

Note: Although I would like for people to test cfdisk by writing the
partition table to disk, it is not absolutely necessary.  You can
first print the existing partition table to a file (using the print
raw data option).  Then, you start cfdisk, examine the existing
partition table, delete all of the partitions, try to recreate exactly
what you had before deleting all of the partitions and print the newly
created partition table to a file (using the print raw data command).
Lastly, do a diff on the two files to see what the differences are.
If you were able to recreate exactly what you had before, the diff
should display no differences.

-------------------------------------------------------------------

    Copyright (C) 1994 Kevin E. Martin ([email-masked])

cfdisk is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

cfdisk is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with cfdisk; if not, write to the Free Software Foundation,
Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

___
Kevin E. Martin               University of North Carolina at Chapel Hill
[email-masked]                          Department of Computer Science

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.